[arch-commits] Commit in randrproto/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 15:11:37 EDT 2008


    Date: Sunday, July 6, 2008 @ 15:11:37
  Author: jgc
Revision: 4354

Merged revisions 2-4353 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/randrproto/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4330 | jgc | 2008-07-06 17:35:36 +0000 (Sun, 06 Jul 2008) | 1 line
  
  upgpkg: randrproto 1.2.2-1
........

Modified:
  randrproto/repos/extra-x86_64/	(properties)
  randrproto/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)


Property changes on: randrproto/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /randrproto/trunk:1
   + /randrproto/trunk:1-4353

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-06 19:10:32 UTC (rev 4353)
+++ extra-x86_64/PKGBUILD	2008-07-06 19:11:37 UTC (rev 4354)
@@ -2,17 +2,20 @@
 #Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=randrproto
-pkgver=1.2.1
+pkgver=1.2.2
 pkgrel=1
 pkgdesc="X11 RandR extension wire protocol"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+license=('custom')
 url="http://xorg.freedesktop.org/"
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('e2e45564f8ce22e00e1360e79c8ccdeb')
+md5sums=('0458f24d6a77ff4bc5182816f482afa1')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }





More information about the arch-commits mailing list